#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n;
    cin>>n;
    double a[n], p[n], max=0, temp=0;
    for(int i=0; i<n; i++)
        cin>>a[i]>>p[i];
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<n; j++)
        {
            if(p[i]<=p[j])
                temp+=a[j];
                cout<<temp<<endl;
        }
        temp*=(p[i]/100);
        if(temp>max)
            max=temp;
            temp=0;
    }
    printf("%4.4f",max);
}